=== debian/changelog ===
xml2rfc (1.35-1) unstable; urgency=low

  * New Upstream Release.
  * switch to 3.0 (quilt) source format.
  * bump standards version to 3.8.4 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 18 Apr 2010 18:07:48 -0400

xml2rfc (1.34-1) unstable; urgency=low

  * Taking over package (thanks for all your work, Florian!)
  * New Upstream version (Closes: #506652, #555288).
  * Move to non-free while waiting on resolution of IETF licensing
    for embedded blurbs.  Add more info about the licensing situation,
    including text of IETF-Trust-License-Policy.
  * debian/copyright: made machine-readable.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 03 Dec 2009 16:26:19 -0500

xml2rfc (1.33.dfsg-1) unstable; urgency=low

  * New upstream version.
  * Compatible with tcl8.5.  Closes: #466237.

 -- Florian Weimer <fw@deneb.enyo.de>  Sun, 09 Mar 2008 09:13:27 +0100

xml2rfc (1.32.dfsg-1) unstable; urgency=low

  * New upstream version.  Closes: #407591.

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 20 Jan 2007 11:14:41 +0100

xml2rfc (1.31.dfsg-1) unstable; urgency=low

  * New upstream version.  Closes: #380492.
  * Bump Standards-Version.  No changes required.

 -- Florian Weimer <fw@deneb.enyo.de>  Mon, 21 Aug 2006 07:43:55 +0200

xml2rfc (1.30.dfsg-1) unstable; urgency=low

  * Remove non-DFSG material from upstream tarball.

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 21 Jan 2006 15:50:32 +0100

xml2rfc (1.30-1) unstable; urgency=low

  * New upstream release.
  * Install additional entity files.

 -- Florian Weimer <fw@deneb.enyo.de>  Tue, 16 Aug 2005 09:47:49 +0200

xml2rfc (1.29-1) unstable; urgency=low

  * New upstream release.
  * Updates boilerplates, partially fixing Debian bug #303131.  More
    IETF-conformance changes are expected.

 -- Florian Weimer <fw@deneb.enyo.de>  Tue,  3 May 2005 13:24:18 +0200

xml2rfc (1.26-1) unstable; urgency=low

  * New upstream release.
  * Fix unwanted localization.  Closes: 274191.

 -- Florian Weimer <fw@deneb.enyo.de>  Thu, 30 Sep 2004 11:11:54 +0200

xml2rfc (1.25-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.  Closes: #258182.

 -- Florian Weimer <fw@deneb.enyo.de>  Tue, 17 Aug 2004 10:25:18 +0200

xml2rfc (1.24-2) unstable; urgency=low

  * Repackage as a non-native package.

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 10 Jul 2004 11:45:26 +0200

xml2rfc (1.24-1) unstable; urgency=low

  * New upstream release.  Closes: #258182.

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 10 Jul 2004 11:25:42 +0200

xml2rfc (1.23-1) unstable; urgency=low

  * New upstream release

 -- Florian Weimer <fw@deneb.enyo.de>  Sun,  4 Apr 2004 12:20:35 +0200

xml2rfc (1.22-1) unstable; urgency=low

  * New upstream release

 -- Florian Weimer <fw@deneb.enyo.de>  Fri, 27 Feb 2004 11:19:46 +0100

xml2rfc (1.21-1) unstable; urgency=low

  * New upstream release

 -- Florian Weimer <fw@deneb.enyo.de>  Thu, 20 Nov 2003 15:08:34 +0100

xml2rfc (1.20-1) unstable; urgency=low

  * New upstream release
  
  * Upstream now incorporates the relevant parts of the "--"/"+" fix.
  
  * Fixed typo in manpage.
  
  * Updated copyright statement.
  
 -- Florian Weimer <fw@deneb.enyo.de>  Sun, 14 Sep 2003 12:12:12 +0200

xml2rfc (1.15-2) unstable; urgency=low

  * Dont rely on "--" is "+".  Closes: #185793.
    (Basic patch from Chris Waters, slightly extended.)

  * Remove debian/files in "clean" target.

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 22 Mar 2003 18:23:45 +0100

xml2rfc (1.15-1) unstable; urgency=low

  * First version. Closes: #175412.
  
 -- Florian Weimer <fw@deneb.enyo.de>  Sun,  5 Jan 2003 12:20:54 +0100
