=== debian/control ===
Source: xml2rfc
Section: non-free/text
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 3.8.4
Homepage: http://xml.resource.org/

Package: xml2rfc
Architecture: all
Depends: tcl8.5 | tclsh, sgml-base
Suggests: wish
Description: XML-based formatting tool for RFCs
 This package provides xml2rfc, a tool which creates text, HTML and
 nroff output in the format required for Internet-Drafts and RFCs.  The
 text and nroff output is suitable for input to the RFC editor.
 .
 The DTD used by the XML documents is described in RFC 2629.
