=== debian/rules ===
#!/usr/bin/make -f

STAGING = debian/tmp
DOCDIR_REL = usr/share/doc/xml2rfc
DOCDIR = $(STAGING)/$(DOCDIR_REL)

build: build-stamp
build-stamp:
	touch build-stamp

clean:
	-rm -f build-stamp debian/files
	-rm -rf $(STAGING)


install: build
	rm -rf $(STAGING)
	install -d $(STAGING)/DEBIAN
	install -d $(STAGING)/usr/bin
	install -d $(STAGING)/usr/share/man/man1
	install -d $(STAGING)/usr/share/sgml/xml2rfc/dtd
	install -d $(DOCDIR)/examples

	install -m 755 debian/postinst $(STAGING)/DEBIAN/
	install -m 755 debian/prerm $(STAGING)/DEBIAN/

	install -m 644 debian/copyright $(DOCDIR)/
	install -m 644 debian/changelog $(DOCDIR)/changelog.Debian
	gzip -9 $(DOCDIR)/changelog.Debian
	install -m 644 *.txt *.html $(DOCDIR)
	install -m 644 debian/IETF-Trust-License-Policy.txt $(DOCDIR)
	gzip -9 $(DOCDIR)/*.txt $(DOCDIR)/*.html

	install -m 644 *.xml $(DOCDIR)/examples
	gzip -9 $(DOCDIR)/examples/*

	install -m 755 xml2rfc.tcl $(STAGING)/usr/bin/xml2rfc
	install -m 644 debian/xml2rfc.1 $(STAGING)/usr/share/man/man1/
	gzip -9 $(STAGING)/usr/share/man/man1/xml2rfc.1

	install -m 644 debian/catalog $(STAGING)/usr/share/sgml/xml2rfc/
	install -m 644 rfc2629.dtd $(STAGING)/usr/share/sgml/xml2rfc/dtd/
	install -m 644 rfc2629-xhtml.ent $(STAGING)/usr/share/sgml/xml2rfc/dtd/
	install -m 644 rfc2629-other.ent $(STAGING)/usr/share/sgml/xml2rfc/dtd/

# Build architecture-independent files here.
binary-indep: build install
	dpkg-gencontrol -isp -pxml2rfc
	chown -R root.root $(STAGING)
	chmod -R g-ws $(STAGING)
	dpkg --build debian/tmp ..


# Build architecture-dependent files here.
binary-arch: build install

# Create a tarball from the (modified) GIT sources.
create-tarball:
	version=`dpkg-parsechangelog \
	  | sed -ne '/^Version: /{s/Version: \(.*\)\.dfsg-.*/\1/;p;q}'`; \
	git-tar-tree v$$version xml2rfc-$$version | gzip -9 \
	  > ../xml2rfc_$$version.dfsg.orig.tar.gz

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install create-tarball
