## xml2rfc 1.36

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 all:	format samples dtd
 
-release=dev
+release=1.36
 
 format:	README.txt README.html \
 	draft-mrose-writing-rfcs.txt draft-mrose-writing-rfcs.html \
@@ -18,6 +18,8 @@
 
 %.html:	%.xml xml2rfc.tcl
 	tclsh xml2rfc.tcl xml2rfc $< $@
+	tr -d "\015" < $@ | fgrep -v '<meta name="generator" content="xml2rfc' > $@.tmp
+	mv $@.tmp $@
 
 dist:
 	tools/mdist.sh $(release)
