=== samples/Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
-all:	format
+all:	format regression
 
 XML= rfc2616.xml rfc3470.xml rfc3986.xml rfc5234.xml rfc5322.xml \
 	sample.ipr.id.noDerivativesTrust200902.200909.xml \
 	sample.ipr.id.noModificationTrust200902.200909.xml \
 	sample.ipr.id.pre5378Trust200902.200909.xml \
 	sample.ipr.id.pre5378Trust200902.200912.xml \
+	sample.ipr.id.pre5378Trust200902.201011.xml \
 	sample.ipr.id.trust200902.200909.xml \
 	sample.ipr.id.trust200902.200911.xml \
 	sample.ipr.id.trust200902.200912.xml \
@@ -21,6 +22,7 @@
 	sample.ipr.rfc.200907.xml \
 	sample.ipr.rfc.200909.xml \
 	sample.ipr.rfc.200912.xml \
+	sample.ipr.rfc.201001.iab.exp.xml \
 	sample.ipr.rfc.201001.iab.hist.xml \
 	sample.ipr.rfc.201001.iab.inf.xml \
 	sample.ipr.rfc.201001.ietf.bcp.c.xml \
@@ -45,6 +47,7 @@
 	sample.ipr.rfc.201001.irtf.inf.norg.xml \
 	sample.ipr.rfc.pre5378Trust200902.200912.xml \
 	sample.ref.annotation.xml \
+	sample.nested.xml \
 	sample.basic.xml
 
 # test files for which NROFF generation currently fails
@@ -55,15 +58,27 @@
 NR= $(XML:.xml=.nr)
 
 format:	$(TXT) $(HTML) $(NR)
+format-txt: $(TXT)
+format-html: $(HTML)
+format-nr: $(NR)
+
+bps: $(BP:.xml=.txt)
 
 %.txt:	%.xml ../xml2rfc.tcl
 	tclsh ../xml2rfc.tcl xml2rfc $< $@
 
 # when generating nroff, drop the version & date comment line
 %.nr:	%.xml ../xml2rfc.tcl
-	tclsh ../xml2rfc.tcl xml2rfc $< $@
-	tr -d "\015" < $@ | fgrep -v "automatically generated by xml2rfc" > $@.tmp
-	mv $@.tmp $@
+	tclsh ../xml2rfc.tcl xml2rfc $< tmp.$@
+	@tr -d "\015" < tmp.$@ | fgrep -v "automatically generated by xml2rfc" > $@
+	@rm -f tmp.$@
 
 %.xml2rfc.html:	%.xml ../xml2rfc.tcl
-	tclsh ../xml2rfc.tcl xml2rfc $< $@
+	tclsh ../xml2rfc.tcl xml2rfc $< tmp.$@
+	@tr -d "\015" < tmp.$@ | fgrep -v '<meta name="generator" content="xml2rfc' > $@
+	@rm -f tmp.$@
+
+regression:	format
+	svn diff > tmp.$$$$ ; \
+	[ -s tmp.$$$$ ] && ( echo ; echo ; echo "There are regressions in the generated sample files, please check:" ; echo ; cat tmp.$$$$ ) ; \
+	rm -f tmp.$$$$
