=== debian/changelog ===
xml2rfc (1.36-2) unstable; urgency=low

  * added postrm script to purge /etc/sgml/xml2rfc.cat{,.old}
    (Closes: #656170) (thanks to Andreas Beckmann for the report,
    and dh_installcatalogs for the example fix).
  * debian/rules: updated to include build-{arch,indep} targets.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 17 Jan 2012 00:01:44 -0500

xml2rfc (1.36-1) unstable; urgency=low

  * New Upstream Release (Closes: #626929)
  * bumped Standards-Version to 3.9.2 (no changes needed)
  * updated debian/copyright to DEP5 rev 174

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 16 May 2011 11:38:49 -0400
