=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: non-free/text
 Priority: optional
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://xml.resource.org/
 
 Package: xml2rfc
