=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,11 @@
 DOCDIR_REL = usr/share/doc/xml2rfc
 DOCDIR = $(STAGING)/$(DOCDIR_REL)
 
-build: build-stamp
+# boilerplate according to:
+# lintian-info --tags debian-rules-missing-recommended-target
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	touch build-stamp
 
@@ -23,6 +27,7 @@
 
 	install -m 755 debian/postinst $(STAGING)/DEBIAN/
 	install -m 755 debian/prerm $(STAGING)/DEBIAN/
+	install -m 755 debian/postrm $(STAGING)/DEBIAN/
 
 	install -m 644 debian/copyright $(DOCDIR)/
 	install -m 644 debian/changelog $(DOCDIR)/changelog.Debian
