=== debian/watch ===
version=3
http://xml.resource.org/authoring/ xml2rfc-([0-9.]*)\.tgz
