=== debian/changelog ===
xml2rfc (2.4.3-1) unstable; urgency=low

  * new upstream release (major overhaul to python) (Closes: #727729, #556614)
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * generate man pages from --help output

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 22 Nov 2013 00:38:23 -0800

xml2rfc (1.36-5) unstable; urgency=low

  [ Helmut Grohne ]
  * Always remove /etc/sgml/xml2rfc.cat when it is not a conffile.
    (Closes: #680291)  

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 14 Oct 2012 19:30:24 -0400

xml2rfc (1.36-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed)
  * increase build-dep on debhelper to >= 9.20120830, now that #681194 is
    closed (Closes: #680291)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 31 Aug 2012 14:15:56 -0400

xml2rfc (1.36-3) unstable; urgency=low

  [ Helmut Grohne ]
  * Convert to debhelper 9.
  * Especially use dh_installcatalogs. (Closes: #674911, #656170)
  
 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 24 Jun 2012 19:09:07 -0400
