=== debian/control ===
Source: xml2rfc
Section: non-free/text
Priority: optional
Build-Depends:
 debhelper (>= 9),
 pyflakes,
 python-lxml,
 python,
 python-setuptools,
 dh-python,
 help2man
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 3.9.4
Homepage: https://pypi.python.org/pypi/xml2rfc/

Package: xml2rfc
Architecture: all
Depends:
 python-lxml,
 ${python:Depends},
 ${misc:Depends}
Description: XML-based formatting tool for RFCs
 This package provides xml2rfc, a tool which creates text, HTML and
 nroff output in the format required for Internet-Drafts and RFCs.  The
 text and nroff output is suitable for input to the RFC editor.
 .
 The DTD used by the XML documents is described in RFC 2629.
