=== debian/watch ===
version=3
https://pypi.python.org/packages/source/x/xml2rfc/xml2rfc-([0-9.]*)\.tar.gz
