=== debian/changelog ===
xml2rfc (2.4.7-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1322793)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 May 2014 22:44:13 -0400

xml2rfc (2.4.7-1) unstable; urgency=medium

  * new upstream release
   - add knowledge of alternative bibxml repositories, given
     that the usual site xml.resource.org is currently down

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 22 May 2014 14:19:23 -0400

xml2rfc (2.4.6-1) UNRELEASED; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 22 May 2014 10:32:02 -0400

xml2rfc (2.4.5-1) unstable; urgency=medium

  * new upstream version.
  * bumped Standards-Version to 3.9.5 (no changes needed)
  * added debian/upstream/signing-key.asc and pointed debian/watch to it

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 25 Feb 2014 11:30:56 -0500
