=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-python,
  help2man
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://pypi.python.org/pypi/xml2rfc/
 
 Package: xml2rfc
