## xml2rfc 2.4.8

=== debian/changelog ===
xml2rfc (2.4.8-1) unstable; urgency=medium

  * new upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 04 Jul 2014 17:58:20 -0400
