=== debian/changelog ===
xml2rfc (2.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to missing build-depends on python-requests (Closes:
    #815206)
    - Thanks to Logan Rosen of Ubuntu for the patch

 -- Scott Kitterman <scott@kitterman.com>  Sun, 28 Feb 2016 17:19:04 -0500

xml2rfc (2.5.1-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * Imported Upstream version 2.5.1
  * Get rid of Makefile in dh_auto_configure target

  [ Daniel Kahn Gillmor ]
  * bump standards-version (no changes needed)
  * add Vcs-* fields in debian/rules

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 16 Feb 2016 08:39:27 -0500
