=== debian/control ===
--- 
+++ 
@@ -8,9 +8,12 @@
  python,
  python-setuptools,
  dh-python,
- help2man
+ help2man,
+ python-requests
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/xml2rfc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xml2rfc.git
 Homepage: https://pypi.python.org/pypi/xml2rfc/
 
 Package: xml2rfc
