=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python2

debian/xml2rfc.1:
	ln -s run.py xml2rfc/xml2rfc
	PYTHONPATH=. help2man -n 'format RFCs using XML markup' -N ./xml2rfc/xml2rfc -o $@
	rm -f xml2rfc/xml2rfc

override_dh_installman: debian/xml2rfc.1
	dh_installman

override_dh_auto_configure:
	if [ -f Makefile ]; then mv Makefile Makefile.orig; fi

# silly workaround for emacs turds left in upstream tarball
override_dh_clean:
	if [ -f Makefile.orig ]; then mv Makefile.orig Makefile; fi
	dh_clean --exclude=xml~ --exclude=nroff~

override_dh_auto_test:
	pyflakes xml2rfc
	./test.py --verbose
