=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
 https://pypi.python.org/packages/source/x/xml2rfc/xml2rfc-([0-9.]*)\.tar.gz
