## xml2rfc 2.8.5

=== debian/changelog ===
xml2rfc (2.8.5-1~bpo90+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 11 Feb 2018 22:14:42 -0500

xml2rfc (2.8.5-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 26 Jan 2018 14:40:52 -0500

xml2rfc (2.8.4-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/0001-Add-missing-test.py-from-upstream.patch, fixed
      upstream

 -- Scott Kitterman <scott@kitterman.com>  Fri, 19 Jan 2018 20:37:05 -0500

xml2rfc (2.8.3-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Add myself to uploaders
  * Update Vcs-* to point at salsa.debian.org
  * Bump standards version to 4.1.3 without further change
  * New upstream release
    - Add debian/patches/0001-Add-missing-test.py-from-upstream.patch so that
      tests can still be run during build
  * Switch to use Python 3 vice Python
    - Add debian/patches/0002-Set-run.py-shebang-to-python3.patch so that man
      page regeneration during build works in python3
  * Update debian/copyright

  [ Daniel Kahn Gillmor ]
  * import fix to FTBFS (thanks, Scott Kitterman!)
  * bumped standards-version to 3.9.7 (no changes needed)
  * updated debian/watch

 -- Scott Kitterman <scott@kitterman.com>  Sat, 13 Jan 2018 20:52:06 -0500
