=== debian/control ===
Source: xml2rfc
Section: non-free/text
Priority: optional
Build-Depends:
 debhelper (>= 9),
 pyflakes3,
 python3-lxml,
 python3,
 python3-setuptools,
 dh-python,
 help2man,
 python3-requests
X-Python3-Version: >= 3.4
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Uploaders: Scott Kitterman <scott@kitterman.com>
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/xml2rfc-team/pkg-xml2rfc.git
Vcs-Browser: https://salsa.debian.org/xml2rfc-team/pkg-xml2rfc.git
Homepage: https://pypi.python.org/pypi/xml2rfc/

Package: xml2rfc
Architecture: all
Depends:
 python3-lxml,
 ${python3:Depends},
 ${misc:Depends}
Description: XML-based formatting tool for RFCs
 This package provides xml2rfc, a tool which creates text, HTML and
 nroff output in the format required for Internet-Drafts and RFCs.  The
 text and nroff output is suitable for input to the RFC editor.
 .
 The DTD used by the XML documents is described in RFC 2629.
