## xml2rfc 2.9.6

=== debian/changelog ===
xml2rfc (2.9.6-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
  * Update Vcs-* for move under /debian namespace on salsa.d.o

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Feb 2018 02:01:21 -0500

xml2rfc (2.9.2-1) unstable; urgency=medium

  * New upstream release
  * Add python3-intervaltree to build-depends - new test dependency

 -- Scott Kitterman <scott@kitterman.com>  Sun, 11 Feb 2018 22:51:22 -0500
