=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Build-Depends:
  debhelper (>= 9),
  pyflakes3,
+ python3-intervaltree,
  python3-lxml,
  python3,
  python3-setuptools,
@@ -14,8 +15,8 @@
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders: Scott Kitterman <scott@kitterman.com>
 Standards-Version: 4.1.3
-Vcs-Git: https://salsa.debian.org/xml2rfc-team/pkg-xml2rfc.git
-Vcs-Browser: https://salsa.debian.org/xml2rfc-team/pkg-xml2rfc.git
+Vcs-Git: https://salsa.debian.org/debian/pkg-xml2rfc.git
+Vcs-Browser: https://salsa.debian.org/debian/pkg-xml2rfc
 Homepage: https://pypi.python.org/pypi/xml2rfc/
 
 Package: xml2rfc
