=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with=python2
+	dh $@ --with=python3 --buildsystem=pybuild
 
 debian/xml2rfc.1:
 	ln -s run.py xml2rfc/xml2rfc
@@ -19,5 +19,5 @@
 	dh_clean --exclude=xml~ --exclude=nroff~
 
 override_dh_auto_test:
-	pyflakes xml2rfc
-	./test.py --verbose
+	pyflakes3 xml2rfc
+	python3 test.py --verbose
