## xml2rfc 2.9.8

=== debian/changelog ===
xml2rfc (2.9.8-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.1.4 without further change
  * Remove ancient X-Python3-Version field from debian/control
  * Fix version check in run.py to include python3 support (Closes:
    #896920)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Jun 2018 18:55:12 -0400
