=== debian/control ===
--- 
+++ 
@@ -11,10 +11,9 @@
  dh-python,
  help2man,
  python3-requests
-X-Python3-Version: >= 3.4
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders: Scott Kitterman <scott@kitterman.com>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/debian/pkg-xml2rfc.git
 Vcs-Browser: https://salsa.debian.org/debian/pkg-xml2rfc
 Homepage: https://pypi.python.org/pypi/xml2rfc/
