=== debian/changelog ===
xml2rfc (2.15.5-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 21 Dec 2018 16:52:14 -0500

xml2rfc (2.15.4-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 18 Dec 2018 13:38:36 -0500

xml2rfc (2.15.3-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 07 Dec 2018 03:27:29 +0300

xml2rfc (2.15.2-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 05 Dec 2018 02:29:13 +0300

xml2rfc (2.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 19 Nov 2018 13:43:33 -0500

xml2rfc (2.12.1-2) unstable; urgency=medium

  * refresh IETF-Trust-License-Policy.txt
  * include full IETF Trust Policy in debian/copyright

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 30 Oct 2018 10:59:37 -0400

xml2rfc (2.12.1-1) unstable; urgency=medium

  * New upstream release

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Daniel Kahn Gillmor ]
  * move to DEP-14 packaging
  * wrap-and-sort -ast
  * including new python dependencies
  * standards-version: bump to 4.2.1 (no changes needed)
  * move to debhelper 11
  * Rules-Requires-Root: no
  * drop patch for python version check (already applied upstream)
  * d/changelog: strip trailing whitespace
  * do not run tests if nocheck is set in DEB_BUILD_OPTIONS
  * mark as autobuildable by debian, despite being in nonfree
  * fix spelling of "don't"
  * added simple autopkgtest
  * clean up debian/rules

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 29 Oct 2018 10:45:19 -0400
