=== debian/tests/control ===
Tests: run-pytest
Depends: @
Restrictions: allow-stderr
