## xml2rfc 2.39.0

=== debian/changelog ===
xml2rfc (2.39.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.5.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 04 Feb 2020 13:43:15 -0500

xml2rfc (2.38.1-1) unstable; urgency=medium

  * New upstream relaese

 -- Scott Kitterman <scott@kitterman.com>  Tue, 21 Jan 2020 22:01:49 -0500

xml2rfc (2.38.0-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Fri, 17 Jan 2020 01:59:19 -0500

xml2rfc (2.37.3-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Dec 2019 13:09:34 -0500

xml2rfc (2.37.2-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 20 Dec 2019 00:46:02 -0500

xml2rfc (2.37.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Dec 2019 01:36:22 -0500

xml2rfc (2.37.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 10 Dec 2019 23:11:00 -0500

xml2rfc (2.35.0-1) unstable; urgency=medium

  * New upstream release
  * Run autopkgtest against all supported python3 versions so that if there
    are issues associated with a new version, they are detected before it is
    default

 -- Scott Kitterman <scott@kitterman.com>  Sun, 17 Nov 2019 23:55:03 -0500

xml2rfc (2.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 27 Oct 2019 14:30:34 -0400

xml2rfc (2.33.0-1) unstable; urgency=medium

  * New upstream release
  * Drop d/p/0002-fix-spelling-of-dont.patch, no longer needed
  * Switch to using debhelper-compat in debian/comntrol vice d/compat and
    update to compat 12

 -- Scott Kitterman <scott@kitterman.com>  Sat, 19 Oct 2019 00:39:40 -0400

xml2rfc (2.32.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.4.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 07 Oct 2019 07:56:21 -0400

xml2rfc (2.31.0-1) unstable; urgency=medium

  * New upstream relaese

 -- Scott Kitterman <scott@kitterman.com>  Sat, 28 Sep 2019 01:32:45 -0400

xml2rfc (2.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 22 Sep 2019 18:59:47 -0400

xml2rfc (2.29.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Thu, 19 Sep 2019 03:24:50 -0400

xml2rfc (2.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Sep 2019 02:52:16 -0400

xml2rfc (2.25.0-1) unstable; urgency=medium

  * New upstream release
  * Update depends for new release (add python3-kitchen to build-depends/
    depends and fonts-noto-unhinted, python3-dict2xml, python3-pypdf2, and
    weasyprint to recommends to support new PDF output option)
  * Drop dh_auto_test tests since they require network access, depend on
    autopkgtest instead
  * Update autopkgtest depends so PDF tests work
  * Bump standards-version to 4.4.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Aug 2019 01:30:28 -0400
