=== debian/changelog ===
xml2rfc (2.40.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Feb 2020 01:18:30 -0500
