=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: non-free/text
 Priority: optional
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
  help2man,
  pyflakes3,
@@ -10,6 +10,7 @@
  python3-google-i18n-address,
  python3-html5lib,
  python3-intervaltree,
+ python3-kitchen,
  python3-lxml,
  python3-pycountry,
  python3-requests,
@@ -17,7 +18,7 @@
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Scott Kitterman <scott@kitterman.com>,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/pkg-xml2rfc.git
 Vcs-Browser: https://salsa.debian.org/debian/pkg-xml2rfc
 Homepage: https://pypi.python.org/pypi/xml2rfc/
@@ -30,6 +31,14 @@
  python3-lxml,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ fonts-noto-cjk,
+ fonts-noto-core,
+ fonts-noto-unhinted,
+ python3-cairo,
+ python3-dict2xml,
+ python3-pypdf2,
+ weasyprint
 Description: XML-based formatting tool for RFCs
  This package provides xml2rfc, a tool which creates text, HTML and
  nroff output in the format required for Internet-Drafts and RFCs.  The
