=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,4 @@
 	dh_clean --exclude=xml~ --exclude=nroff~ --exclude=svn-prop.tmp~
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	pyflakes3 xml2rfc
-	python3 test.py --verbose
-endif
+	# Needs network access, rely on autopkgtest instead
